class Admin::GreetingCardAcknowledgementsController < OrbitAdminController
  helper Admin::GreetingCardsHelper
  def initialize
    super
    @app_title = 'greeting_card_acknowledgement'
  end

  def index
    @greeting_card_acknowledgements = GreetingCardAcknowledgement.first || GreetingCardAcknowledgement.create
    @url = admin_greeting_card_acknowledgement_path(@greeting_card_acknowledgements)
  end

  def update
    @greeting_card_acknowledgements = GreetingCardAcknowledgement.first
    @greeting_card_acknowledgements.update_attributes(params.require(:greeting_card_acknowledgement).permit!)
    
    redirect_to admin_greeting_card_acknowledgements_path, notice: t('greeting_card.save_success')
  end

end