class GreetingCardStatusHistory
  include Mongoid::Document
  include Mongoid::Timestamps

  field :status, type: String
  field :comment, type: String
  belongs_to :user
  belongs_to :greeting_card_record

  mount_uploader :file, AssetUploader

  def modified_by_name
    if user.present? && user.member_profile.present?
      user.member_profile.name
    end
  end
end