# encoding: utf-8
class Admin::GreetingCardAdminsController < OrbitAdminController
  def initialize
    super
    @app_title = 'greeting_card'
  end

  def index
    @greeting_card_admin = GreetingCardAdmin.new
    @table_fields = [:email]
    @greeting_card_admins = GreetingCardAdmin.order_by(sort)
  end

  def create
    @greeting_card_admins = GreetingCardAdmin.new(greeting_card_admin_params)
    @greeting_card_admins.save
    redirect_to admin_greeting_card_admins_path
  end

  def edit
    @greeting_card_admin = GreetingCardAdmin.find(params[:id])
    @table_fields = [:email]
    @greeting_card_admins = GreetingCardAdmin.order_by(sort)

    @url = admin_greeting_card_admin_path(@greeting_card_admin)
  end

  def update
    @greeting_card_admin = GreetingCardAdmin.find(params[:id])
    @greeting_card_admin.update_attributes(greeting_card_admin_params)

    redirect_to admin_greeting_card_admins_path
  end

  def destroy
    @greeting_card_admin = GreetingCardAdmin.find(params[:id])
    @greeting_card_admin.destroy
    redirect_to admin_greeting_card_admins_path
  end

  def greeting_card_admin_params
    params.require(:greeting_card_admin).permit!
  end

end
