$:.push File.expand_path("../lib", __FILE__)

# Maintain your gem's version:
require "greeting_card/version"
bundle_update_flag = ARGV[0]=='update' || ARGV[0]=='install'
if bundle_update_flag
    app_path = File.expand_path(__dir__)
    template_path = ENV['PWD'] + '/app/templates'
    all_template = Dir.glob(template_path+'/*/')
    puts 'copying greeting_card module'
    all_template.each do |folder|
        if folder.split('/')[-1] != 'mobile'
            begin
                system ('cp -r '+ app_path + '/modules/ ' + folder)
            rescue
                puts 'error copy'
            end
        end
    end
end
#syst
# Describe your gem and declare its dependencies:
Gem::Specification.new do |s|
  s.name        = "greeting_card"
  s.version     = GreetingCard::VERSION
  s.authors     = ["RulingDigital"]
  s.email       = ["orbit@rulingcom.com"]
  s.homepage    = "http://www.rulingcom.com"
  s.summary     = "GreetingCard for orbit"
  s.description = "GreetingCard for orbit"
  s.license     = "MIT"

  s.files = Dir["{app,config,db,lib}/**/*", "MIT-LICENSE", "Rakefile", "README.rdoc"]
  s.test_files = Dir["test/**/*"]
  s.metadata = {
    "_require" => "#{File.expand_path("../app/models/greeting_card_setting", __FILE__)}",
    "global_hash" => "{last_ticket_key: (GreetingCardSetting.pluck(:last_ticket_key)[0].to_i rescue 0), last_serial_number: (GreetingCardSetting.pluck(:last_serial_number)[0].to_i rescue 0)}"
  }
  # s.add_dependency('ttfunk', '~> 1.5')
  # s.add_dependency('rmagick', '~> 2.16')
  s.add_dependency('freetype')
  # s.add_dependency ~> "gotcha"
end
